searchNodes=[{"ref":"Reorderex.html","title":"Reorderex","type":"module","doc":"An elixir helper library for database list reordering functionality. Usage with Ecto Table-wise ordering Schema defmodule Photo do @moduledoc false use Ecto.Schema schema &quot;photos&quot; do field(:score, :binary, autogenerate: {Reorderex, :next_score, []}) end end Move and entity to after an entity import Reorderex.Ecto photo |&gt; insert_after(photo1.id, Repo) |&gt; Repo.update() Move and entity to the first import Reorderex.Ecto photo |&gt; insert_after(nil, Repo) |&gt; Repo.update() Shared-table ordering defmodule Photo do @moduledoc false use Ecto.Schema schema &quot;photos&quot; do field user_id, :binary field :score, :binary, autogenerate: {Reorderex, :next_score, []} end end import Reorderex.Ecto query = Photo |&gt; where([p], p.user_id = ^user_id) photo |&gt; insert_after(photo1.id, Repo, query: query) |&gt; Repo.update()"},{"ref":"Reorderex.html#next_score/0","title":"Reorderex.next_score/0","type":"function","doc":"Returns current EPOCH in base 62."},{"ref":"Reorderex.Clock.html","title":"Reorderex.Clock","type":"module","doc":"Strictly monotonic clock."},{"ref":"Reorderex.Clock.html#child_spec/1","title":"Reorderex.Clock.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Reorderex.Clock.html#next_tick/1","title":"Reorderex.Clock.next_tick/1","type":"function","doc":"Return strictly monotonic timestamp if a Clock genserver is given or Reorderex.Clock is started as module name. Returns OS time otherwise."},{"ref":"Reorderex.Clock.html#start_link/1","title":"Reorderex.Clock.start_link/1","type":"function","doc":"Starts the clock."},{"ref":"Reorderex.Ecto.html","title":"Reorderex.Ecto","type":"module","doc":"Reorderex.Ecto"},{"ref":"Reorderex.Ecto.html#insert_after/4","title":"Reorderex.Ecto.insert_after/4","type":"function","doc":"Moves the given entity to after an entity at after_id using Ecto repo. Example photo |&gt; Reorderex.Ecto.insert_after(photo1.id, Repo) |&gt; Repo.update() Options :field - The field that store score of each row. Default to :score. :query - In the case of ordering on shared table, query should narrow down Ecto model so a smaller set that contains the given entity and the entity at after_id."},{"ref":"Reorderex.Helper.html","title":"Reorderex.Helper","type":"module","doc":"Reorderex helper functions for manipulating scores."},{"ref":"Reorderex.Helper.html#between/2","title":"Reorderex.Helper.between/2","type":"function","doc":"Returns a string that is greater than the first argument and smaller than the second argument. Examples iex&gt; Reorderex.Helper.between(&quot;a&quot;, &quot;c&quot;) &quot;b&quot; iex&gt; Reorderex.Helper.between(&quot;c&quot;, &quot;a&quot;) &quot;b&quot; iex&gt; Reorderex.Helper.between(&quot;a&quot;, &quot;b&quot;) &quot;aV&quot; iex&gt; Reorderex.Helper.between(&quot;a&quot;, &quot;a&quot;) &quot;a&quot; iex&gt; Reorderex.Helper.between(nil, &quot;a&quot;) &quot;Y&quot; iex&gt; Reorderex.Helper.between(&quot;0&quot;, nil) &quot;3&quot; iex&gt; Reorderex.Helper.between(nil, nil) nil"},{"ref":"Reorderex.Helper.html#between!/2","title":"Reorderex.Helper.between!/2","type":"function","doc":"Behaves the same as between/2 except that it will raise when the two strings are equals. Examples iex&gt; Reorderex.Helper.between!(&quot;a&quot;, &quot;c&quot;) &quot;b&quot; iex&gt; Reorderex.Helper.between!(&quot;a&quot;, &quot;a0&quot;) ** (ArgumentError) Given strings are equals"},{"ref":"Reorderex.Helper.html#next_score/1","title":"Reorderex.Helper.next_score/1","type":"function","doc":"Returns current EPOCH in base 62."}]